> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 呼び出し可能なアクションとして定義されているAutomateワークフローのリストを取得

> `WORKFLOW`アクションカテゴリを使用して、フォルダに対するAutomateからのワークフローのアクションを返します。

<Note>
  「[Box SDKのバージョニング戦略](/ja/guides/tooling/sdks/sdk-versioning/)について詳しく学ぶ。」
</Note>


## OpenAPI

````yaml box-openapi-v2026.0-jp.json GET /automate_workflows
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2026.0'
  x-box-commit-hash: 92c221bf9d
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Automateワークフロー
    description: Automateワークフローのアクションをリストアップして手動で開始するためのエンドポイント。
    x-box-tag: automate_workflows
  - name: Box Noteに変換
    description: サポート対象のソースコンテンツ (マークダウンなど) からBox Notesを作成します。
    x-box-tag: notes
  - name: Query
    description: Query for your items.
    x-box-tag: query
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /automate_workflows:
    get:
      tags:
        - Automateワークフロー
      summary: 呼び出し可能なアクションとして定義されているAutomateワークフローのリストを取得
      description: '`WORKFLOW`アクションカテゴリを使用して、フォルダに対するAutomateからのワークフローのアクションを返します。'
      operationId: get_automate_workflows_v2026.0
      parameters:
        - name: folder_id
          in: query
          description: >-
            フォルダを表す一意の識別子。


            フォルダIDを確認するには、ウェブアプリケーションでこのフォルダにアクセスして、URLからIDをコピーします。たとえば、URLが`https://*.app.box.com/folder/123`の場合、`folder_id`は`123`です。


            Boxアカウントのルートフォルダは常にID `0`で表されます。
          required: true
          schema:
            type: string
            nullable: false
          example: '12345'
        - name: limit
          in: query
          description: 返す項目の1ページあたりの最大数。
          required: false
          schema:
            type: integer
            format: int64
            maximum: 1000
          example: 1000
        - name: marker
          in: query
          description: 結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。
          required: false
          schema:
            type: string
          example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
        - $ref: '#/components/parameters/BoxVersionHeader'
      responses:
        '200':
          description: 手動で開始可能なワークフローのアクションを返します。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutomateWorkflows'
        default:
          description: 予期しないクライアントエラー。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: curl
          label: 呼び出し可能なアクションとして定義されているAutomateワークフローのリストを取得
          source: >-
            curl -i -X GET
            "https://api.box.com/2.0/automate_workflows?folder_id=12345" \
                 -H "box-version: 2026.0" \
                 -H "authorization: Bearer <ACCESS_TOKEN>"
        - lang: dotnet
          label: 呼び出し可能なアクションとして定義されているAutomateワークフローのリストを取得
          source: >-
            await
            adminClient.AutomateWorkflows.GetAutomateWorkflowsV2026R0Async(queryParams:
            new GetAutomateWorkflowsV2026R0QueryParams(folderId:
            workflowFolderId));
        - lang: swift
          label: 呼び出し可能なアクションとして定義されているAutomateワークフローのリストを取得
          source: >-
            try await
            adminClient.automateWorkflows.getAutomateWorkflowsV2026R0(queryParams:
            GetAutomateWorkflowsV2026R0QueryParams(folderId: workflowFolderId))
        - lang: java
          label: 呼び出し可能なアクションとして定義されているAutomateワークフローのリストを取得
          source: >-
            adminClient.getAutomateWorkflows().getAutomateWorkflowsV2026R0(new
            GetAutomateWorkflowsV2026R0QueryParams(workflowFolderId))
        - lang: node
          label: 呼び出し可能なアクションとして定義されているAutomateワークフローのリストを取得
          source: |-
            await adminClient.automateWorkflows.getAutomateWorkflowsV2026R0({
              folderId: workflowFolderId,
            } satisfies GetAutomateWorkflowsV2026R0QueryParams);
        - lang: python
          label: 呼び出し可能なアクションとして定義されているAutomateワークフローのリストを取得
          source: >-
            admin_client.automate_workflows.get_automate_workflows_v2026_r0(workflow_folder_id)
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2026.0'
      example: '2026.0'
  schemas:
    AutomateWorkflows:
      description: Automateワークフローのアクションのリスト。
      allOf:
        - properties:
            entries:
              description: 手動の開始に利用可能なワークフローのアクション。
              type: array
              items:
                $ref: '#/components/schemas/AutomateWorkflowAction'
        - type: object
          description: マーカーベースのページネーションについて説明しているAPIレスポンスの部分。
          properties:
            limit:
              description: >-
                これらのエントリで使用された制限値。許容される最大値を超えていない限り、クエリパラメータの`limit`と等しくなります。最大値はAPIによって異なります。
              type: integer
              format: int64
              example: 1000
            next_marker:
              description: 次の検索結果ページの開始場所のマーカー。
              type: string
              example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
              nullable: true
      title: Automateワークフローのアクション
      x-box-resource-id: automate_workflows_v2026.0
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2026.0
    AutomateWorkflowAction:
      description: ワークフローを開始できるAutomateのアクション。
      type: object
      properties:
        id:
          description: Automateのアクションの識別子。
          type: string
          example: '981'
        type:
          description: このワークフローのアクションラッパーのオブジェクトタイプ。
          type: string
          example: workflow_action
          enum:
            - workflow_action
        action_type:
          description: このアクションの動作を定義するタイプ。
          type: string
          example: run_workflow
          enum:
            - run_workflow
        description:
          description: 人間が判読できる、ワークフローのアクションの説明。
          type: string
          example: Runs workflow execution for selected files
        created_at:
          description: アクションが作成された日時。
          type: string
          format: date-time
          example: '2026-04-01T10:00:00.000Z'
        updated_at:
          description: アクションが最後に更新された日時。
          type: string
          format: date-time
          example: '2026-04-02T11:00:00.000Z'
        created_by:
          allOf:
            - $ref: '#/components/schemas/User--Mini'
            - description: アクションを作成したユーザー。
        updated_by:
          allOf:
            - $ref: '#/components/schemas/User--Mini'
            - description: アクションを最後に更新したユーザー。
        workflow:
          $ref: '#/components/schemas/AutomateWorkflowReference'
      required:
        - id
        - type
        - action_type
        - workflow
      title: Automateワークフローのアクション
    User--Mini:
      description: 他のリソース内にネストされたときに返される可能性があるユーザーのMini版の表示。
      type: object
      allOf:
        - $ref: '#/components/schemas/User--Base'
        - properties:
            name:
              description: このユーザーの表示名。
              type: string
              example: Aaron Levie
              maxLength: 50
            login:
              description: このユーザーのプライマリメールアドレス。
              type: string
              format: email
              example: ceo@example.com
      title: ユーザー (Mini)
    AutomateWorkflowReference:
      description: Automateワークフローへの参照。
      type: object
      properties:
        id:
          description: Automateワークフローインスタンスの識別子。
          type: string
          example: '545'
        type:
          description: オブジェクトタイプ。
          type: string
          example: workflow
          enum:
            - workflow
        name:
          description: Automateワークフローの表示名。
          type: string
          example: Contract approval workflow
      required:
        - id
        - type
      title: Automateワークフローへの参照
    User--Base:
      description: 他のリソース内にネストされたときに使用されるユーザーのMini版の表示。
      type: object
      properties:
        id:
          description: このユーザーの一意の識別子。
          type: string
          example: '11446498'
        type:
          description: 値は常に`user`になります。
          type: string
          example: user
          enum:
            - user
          nullable: false
      required:
        - type
        - id
      title: ユーザー (Base)
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````